apiVersion: apps/v1
kind: Deployment
metadata:
  # replace `NN` with your assigned student number - e.g., 01, 16, etc.
  name: flask-helloworld-98
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      # replace `NN` with your assigned student number - e.g., 01, 16, etc.
      app: flask-helloworld-98
  template:
    metadata:
      labels:
        # replace `NN` with your assigned student number - e.g., 01, 16, etc.
        app: flask-helloworld-98
    spec:
      containers:
      # replace `NN` with your assigned student number - e.g., 01, 16, etc.
      - image: devsecopslab/flask-helloworld-98
        name: flask-helloworld-98
        ports:
          - name: http
            containerPort: 5000
